maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
httplib::ContentReader Class Reference

`#include <httplib.h>`

Collaboration diagram for httplib::ContentReader:

## Public Types
using | Reader = std::function< bool(ContentReceiver receiver)>
using | FormDataReader = std::function< bool(FormDataHeader header, ContentReceiver receiver)>

## Public Member Functions
| ContentReader (Reader reader, FormDataReader multipart_reader)
bool | operator() (FormDataHeader header, ContentReceiver receiver) const
bool | operator() (ContentReceiver receiver) const

## Public Attributes
Reader | reader_
FormDataReader | formdata_reader_

## Detailed Description

Definition at line 691 of file httplib.h.

## Member Typedef Documentation

## ◆ FormDataReader

using httplib::ContentReader::FormDataReader = std::function<bool(FormDataHeader header, ContentReceiver receiver)>

Definition at line 694 of file httplib.h.

## ◆ Reader

using httplib::ContentReader::Reader = std::function<bool(ContentReceiver receiver)>

Definition at line 693 of file httplib.h.

## Constructor & Destructor Documentation

## ◆ ContentReader()

httplib::ContentReader::ContentReader | ( | Reader | reader,
|  | FormDataReader | multipart_reader
| ) |  |
| inline

Definition at line 697 of file httplib.h.

## Member Function Documentation

## ◆ operator()() [1/2]

bool httplib::ContentReader::operator() | ( | ContentReceiver | receiver | ) | const
| inline

Definition at line 705 of file httplib.h.

References reader_.

## ◆ operator()() [2/2]

bool httplib::ContentReader::operator() | ( | FormDataHeader | header,
|  | ContentReceiver | receiver
| ) |  | const
| inline

Definition at line 701 of file httplib.h.

References formdata_reader_.

## Member Data Documentation

## ◆ formdata_reader_

FormDataReader httplib::ContentReader::formdata_reader_

Definition at line 710 of file httplib.h.

Referenced by operator()().

## ◆ reader_

Reader httplib::ContentReader::reader_

Definition at line 709 of file httplib.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- integrations/rest_api/httplib.h